=== debian/changelog ===
alsa-hda-realtek-patched-dkms (1.1) precise; urgency=low

  * Automatically packaged by DKMS.

 -- Cyrus Lien <cyrus.lien@canonical.com>  Thu, 13 Sep 2012 13:11:21 +0800
